package cn.estsh.i3plus.ext.mes.api.base;

import cn.estsh.i3plus.ext.mes.pojo.model.ExcelImportResultExtModel;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.multipart.MultipartFile;

/**
 * @Description : 通用功能服务
 * @Reference :
 * @Author : wangjie
 * @CreateDate : 2019-08-26
 * @Modify:
 **/
public interface ICommonExtService {

    /**
     * mes导入
     *
     * @param file   导入excel文件
     * @param module 组件编号
     * @return 导入model
     */
    @ApiOperation(value = "mes导入", notes = "mes导入")
    ExcelImportResultExtModel insertDataByExcel(MultipartFile file, Integer module);

}
