package cn.estsh.i3plus.ext.mes.api.base;

import cn.estsh.i3plus.ext.mes.pojo.bean.MesFailCaseCheckDetail;
import cn.estsh.i3plus.pojo.base.bean.ListPager;
import cn.estsh.i3plus.pojo.base.common.Pager;

import java.util.List;

/**
 * @author yumingxing
 * @version 1.0
 * @date 2021/2/2 13:41
 **/
public interface IFailCaseCheckDetailService {

    /**
     * 转变集团检查更新
     * 新增
     *
     * @param details 转变组织检查
     * @return int
     */
    void updateShiftGroupCheck(List<MesFailCaseCheckDetail> details);

    /**
     * 质量检查更新
     * 修改
     *
     * @param details 转变组织检查
     * @return int
     */
    void updateQualityCheck(List<MesFailCaseCheckDetail> details);

    /**
     * 查询
     *
     * @param checkDetail
     * @param pager
     * @return
     */
    ListPager<MesFailCaseCheckDetail> queryByPager(MesFailCaseCheckDetail checkDetail, Pager pager);

    /**
     * 根据
     *
     * @param id
     * @param status
     * @return
     */
    int updateIsValidById(long id, Integer status);


}
