package cn.estsh.i3plus.ext.mes.api.base;

import cn.estsh.i3plus.ext.mes.pojo.bean.MesPlantInfo;
import io.swagger.annotations.ApiOperation;

import java.util.List;
/**
 * @Author: xiangming.liao
 * @CreateDate: 2021/02/07 15:46
 * @Description:
 **/
public interface IPlantInfoService {
    /**
     * 更新工厂信息
     * @param mesPlantInfo
     */
    @ApiOperation(value = "更新工厂信息", notes = "更新工厂信息")
    void updatePlantInfo(MesPlantInfo mesPlantInfo);

    /**
     * 按条件分页查询工厂信息

     * @return
     */
    @ApiOperation(value = "按条件分页查询工厂信息", notes = "按条件分页查询工厂信息")
    List<MesPlantInfo> queryPlantInfo(String organizeCode);
}
