package cn.estsh.i3plus.ext.mes.api.busi.bu;

import cn.estsh.i3plus.ext.mes.pojo.bean.MesSkillKanbanProcessInformation;
import cn.estsh.i3plus.pojo.base.bean.ListPager;
import cn.estsh.i3plus.pojo.base.common.Pager;

public interface IMesSkillKanbanProcessInformationService {
    /**
     * 技能看板工序信息分页查询
     * @param skillKanbanProcessInformation
     * @param pager
     * @param organizeCode
     * @return
     */
    ListPager getSkillKanbanProcessInformationPage(MesSkillKanbanProcessInformation skillKanbanProcessInformation, Pager pager, String organizeCode);

    /**
     * 新增技能看板工序信息
     * @param skillKanbanProcessInformation
     * @param organizeCode
     * @param userName
     */
    void insertSkillKanbanProcessInformation(MesSkillKanbanProcessInformation skillKanbanProcessInformation, String organizeCode, String userName);

    /**
     * 更新技能看板工序信息
     * @param skillKanbanProcessInformation
     * @param organizeCode
     * @param userName
     */
    void updateSkillKanbanProcessInformation(MesSkillKanbanProcessInformation skillKanbanProcessInformation, String organizeCode, String userName);
}
