package cn.estsh.i3plus.ext.mes.apiservice.dao;

import cn.estsh.i3plus.ext.mes.pojo.bean.MesEquipmentCheckDetail;
import cn.estsh.i3plus.pojo.base.common.Pager;
import io.swagger.annotations.ApiOperation;

import java.util.List;

/**
 * @Author: wangjie
 * @CreateDate: 2021/01/22 17:33
 * @Description:
 **/
public interface IEquipmentCheckDetailDao {

    /**
     * 设备点检查询
     * @param equipmentCheckDetail
     * @param pager
     * @return
     */
    @ApiOperation(value = "设备点检查询", notes = "设备点检查询")
    List<MesEquipmentCheckDetail> queryEquipmentCheckDetailByPager(MesEquipmentCheckDetail equipmentCheckDetail, Pager pager);

    /**
     * 设备点检查询分页数量
     * @param equipmentCheckDetail
     * @return
     */
    @ApiOperation(value = "设备点检查询分页数量", notes = "设备点检查询分页数量")
    int queryEquipmentCheckDetailCount(MesEquipmentCheckDetail equipmentCheckDetail);
}
