package cn.estsh.i3plus.ext.mes.pojo.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

/**
 * @author wangjie
 * @version 1.0
 * @date 2021/1/15 15:32
 **/
@Data
@ApiModel("编码配置MODEL")
public class MatchRuleCodeModel implements Serializable {

    private static final long serialVersionUID = 3442334744836929984L;

    @ApiParam("编码类型")
    public Integer codeType;

    @ApiParam("匹配类型")
    public Integer matchType;

    @ApiParam("组织代码")
    public String organizeCode;

    @ApiParam("生产线代码")
    public String workCenterCode;

    @ApiParam("物料编码")
    public String partNo;

    @ApiParam("产品生产类型")
    public String pptCode;

    @ApiParam("分类1")
    private String categoryCode1;

    @ApiParam("分类2")
    private String categoryCode2;

    @ApiParam("分类3")
    private String categoryCode3;

}
