package cn.estsh.i3plus.ext.mes.api.busi.bu3;

import cn.estsh.i3plus.ext.mes.pojo.model.bu3.SxEnergyCompositeRateAnalysisModel;
import cn.estsh.i3plus.ext.mes.pojo.model.bu3.SxEnergyCompositeRatePassAnalysisModel;
import io.swagger.annotations.ApiOperation;

public interface ISxEnergyCompositeRatePassAnalysisService {

    /**
     * 综合能率推移分析（制造能率）报表
     * @param data 查询条件
     * @return 结果
     */
    @ApiOperation(value = "综合能率推移分析（制造能率）报表", notes = "综合能率推移分析（制造能率）报表")
    SxEnergyCompositeRatePassAnalysisModel queryEnergyCompositeRatePassAnalysis(SxEnergyCompositeRatePassAnalysisModel data);

    /**
     * 综合能率分析报表
     * @param data 查询条件
     * @return 结果
     */
    @ApiOperation(value = "综合能率分析报表", notes = "综合能率分析报表")
    SxEnergyCompositeRateAnalysisModel queryEnergyCompositeRateAnalysis(SxEnergyCompositeRateAnalysisModel data);
}
