package cn.estsh.i3plus.ext.mes.apiservice.dao;


import cn.estsh.i3plus.ext.mes.pojo.bean.MesOnSiteOrderDetail;
import cn.estsh.i3plus.ext.mes.pojo.bean.MesQManageTaskDetail;
import cn.estsh.i3plus.pojo.base.common.Pager;

import java.util.List;

/**
 * @Author: wangjie
 * @CreateDate: 2019/11/21 11:28 上午
 * @Description:
 **/
public interface IOnSiteOrderDetailDao {

    /**
     * 获取巡检单明细数据
     * @param mesOnSiteOrderDetail
     * @return
     */
    List<MesOnSiteOrderDetail> queryOnSiteOrderDetailReportByPager(MesOnSiteOrderDetail mesOnSiteOrderDetail, Pager pager);

    /**
     * 获取巡检单明细分页总数
     * @param mesOnSiteOrderDetail
     * @return
     */
    int getMesOnSiteOrderDetailReportCount(MesOnSiteOrderDetail mesOnSiteOrderDetail);
}
