package cn.estsh.i3plus.ext.mes.pojo.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

/**
 * 文件描述 看板-产量
 *
 * @author xiangming.liao
 * @date 2021年06月10日 10:57
 */
@Data
@ApiModel("看板-产量")
public class BoardProdcueQtyModel implements Serializable {

    private static final long serialVersionUID = 4944291159054771041L;

    @ApiParam("产线")
    private String workCenterCode;

    @ApiParam("产线名称")
    private String workCenterName;

    @ApiParam("产线描述")
    private String workCenterDesc;

    @ApiParam("生产实绩")
    private Double produceQty;

    @ApiParam("计划数量")
    private Double planQty;

    @ApiParam("产量占比")
    private Double produceRate;
}
