package cn.estsh.i3plus.ext.mes.pojo.model;

import cn.estsh.i3plus.pojo.base.annotation.AnnoOutputColumn;
import io.swagger.annotations.ApiParam;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author yumingxing
 * @version 1.0
 * @date 2021/2/5 15:52
 **/
@Data
@NoArgsConstructor
@AllArgsConstructor
public class ExcelOqcProject {
    @ApiParam("检验项序号")
    @AnnoOutputColumn
    private Integer seq;

    @ApiParam("产品类型")
    @AnnoOutputColumn(required = false)
    private String attrType;

    @ApiParam("物料编码")
    @AnnoOutputColumn(required = false)
    private String partNo;

    @ApiParam("检验项目")
    @AnnoOutputColumn
    private String oqcProject;

    @ApiParam("判断基准")
    @AnnoOutputColumn
    private String standard;

    @ApiParam("上限值")
    @AnnoOutputColumn(required = false)
    private Double upLimit;

    @ApiParam("下限值")
    @AnnoOutputColumn(required = false)
    private Double downLimit;

    @ApiParam("启用器具")
    @AnnoOutputColumn(required = false)
    private String appliance;

    @ApiParam("检验类型")
    @AnnoOutputColumn
    private Integer oqcType;
}
