package cn.estsh.i3plus.ext.mes.pojo.model.bu3;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

/**
 * @DESCRIPTION:
 * @USER: wangjie
 * @DATE: 2022-11-01 15:54
 */
@Data
@ApiModel("计划生产台数MODEL")
public class SxProdDataJhsctsModel implements Serializable {

    private static final long serialVersionUID = 7874129296952568624L;

    @ApiParam("组织代码")
    public String organizeCode;

    @ApiParam("工厂代码")
    public String org;

    @ApiParam("组织名称")
    public String orgName;

    @ApiParam("生产线代码")
    private String workCenterCode;

    @ApiParam("生产线名称")
    private String workCenterName;

    @ApiParam("系别")
    private String isDont;

    @ApiParam("班别")
    private String dontClass;

    @ApiParam("生产工单号")
    private String workOrderNo;

    @ApiParam("物料号")
    private String partNo;

    @ApiParam("物料名称")
    private String partNameRdd;

    @ApiParam("工单类型")
    private Integer workOrderType;

    @ApiParam("工单类型名称")
    private String workOrderTypeName;

    @ApiParam("计划生产台数")
    private Double qty;

    @ApiParam("计划生产台数")
    private Integer qtyInt;

    @ApiParam("实际生产台数")
    private Double completeQty;

    @ApiParam("实际生产台数")
    private Integer completeQtyInt;

    @ApiParam("计划时间")
    private String startTime;

    @ApiParam("计划时间(年月日)")
    private String startTimeYmd;

    @ApiParam("创建时间")
    private String createDatetime;

    @ApiParam("创建时间(年月日)")
    private String createDate;

    @ApiParam("更新时间")
    private String modifyDatetime;

    @ApiParam("更新时间(年月日)")
    private String modifyDate;

    public SxProdDataJhsctsModel() {}

    public SxProdDataJhsctsModel(String org, String orgName) {
        this.org = org;
        this.orgName = orgName;
    }
}
