package cn.estsh.i3plus.ext.mes.pojo.model.bu3;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

/**
 * @PROJECT_NAME: i3plus-mes-panasonic-bu
 * @DESCRIPTION:
 * @USER: xinwang.yi
 * @DATE: 2022-11-01 15:54
 */
@Data
@ApiModel("生产数据回传软适配配置MODEL")
public class SxProdDataToSoftAdapterCfgModel implements Serializable {

    private static final long serialVersionUID = -369148864750073621L;

    @ApiParam("组织代码")
    public String organizeCode;

    @ApiParam(value = "适配器代码")
    private String suitCaseCode;

    @ApiParam(value = "适配器名称")
    private String suitCaseName;

    @ApiParam(value = "文件名称")
    private String suitSid;

    @ApiParam("策略类")
    private String strategyClass;

    @ApiParam("执行类")
    private String execClass;

    @ApiParam(value = "字段内容")
    private String fieldContent;

    @ApiParam(value = "文件数据量")
    private String splitCount;

    @ApiParam("类名")
    private String className;

}
