package cn.estsh.i3plus.ext.mes.pojo.model.ep;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * @PROJECT_NAME: i3plus-mes-panasonic
 * @DESCRIPTION:
 * @USER: xinwang.yi
 * @DATE: 2022-02-14 10:15
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@ApiModel("包装信息MODEL")
public class SxEpPackageModel implements Serializable {

    private static final long serialVersionUID = 2954289204630444651L;

    @ApiParam("包装编号")
    private String packageNo;

    @ApiParam("物料号")
    private String partNo;

    @ApiParam("物料名称")
    private String partNameRdd;

    @ApiParam("数量")
    private Double qty;

    @ApiParam("批号")
    private String lotNo;

    @ApiParam("是否封箱")
    private Integer isSealed;

    @ApiParam("生产工单号")
    private String workOrderNo;

    @ApiParam("入库时间")
    private String inLocationTime;

    @ApiParam("生产日期")
    private String workTime;
}
